summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog3
-rwxr-xr-xtests/rm/fail-eperm2
2 files changed, 4 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 8766a5ff8..2c999f46f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,8 @@
2006-11-21 Jim Meyering <jim@meyering.net>
+ * tests/rm/fail-eperm: Use the "(exit N); exit N" idiom,
+ rather than just "exit N".
+
Arrange for "make check-root" to run the new root-only test.
* tests/Makefile.am (t7): New target, to run tests/ls/nameless-uid.
(all_t): Add t7.
diff --git a/tests/rm/fail-eperm b/tests/rm/fail-eperm
index fe1e73d73..e2ce957eb 100755
--- a/tests/rm/fail-eperm
+++ b/tests/rm/fail-eperm
@@ -37,7 +37,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
$PERL -e 1 > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
- exit 77
+ (exit 77); exit 77
}
ARGV_0=$0